image: "debian"

build:
    stage: build
    before_script:
        - echo "deb http://deb.debian.org/debian stretch-backports main" >> /etc/apt/sources.list
        - apt update -qq
        - apt install -y -qq gcc-arm-none-eabi python3-pip
        - apt install -y -qq -t stretch-backports install meson
        - pip3 install crc16
    script:
        - cd bootloader
        - make
        - cd ..
        - meson --cross-file card10-cross.ini build/
        - ninja -C build/
